<?php

namespace App\Filament\Guest\Pages;

use Filament\Forms\Components\Placeholder;
use Filament\Forms\Components\Section;
use Filament\Pages\Page;
use Illuminate\Support\HtmlString;

class Vinyl extends Page
{
    protected static ?string $navigationIcon = 'heroicon-o-document-text';

    protected static ?int $navigationSort = 1;

    protected static string $view = 'filament.guest.pages.vinyl';

    protected function getFormSchema(): array
    {
        return [
            Section::make()
                ->schema([
                    Placeholder::make('digitizingContent')
                        ->hiddenLabel()
                        ->content(new HtmlString('<p class="w-3/4">
                            <b>Overview</b>
                            <br>
                            <ul class="list-disc">
                            <li>Vinyl is widely used in jerseys and other apparels. </li>
                            <li>We mostly use 3M material.</li>
                            </ul>
                            </p>')),
                ])
                ->columns(2)
                ->columnSpan(1),
        ];
    }
}
